Name:          openblas
Version:       0.3.29
Release:       1mamba
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openblas.net
Source:        https://github.com/xianyi/OpenBLAS.git/v%{version}/OpenBLAS-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgfortran
BuildRequires: libgomp-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version

%description -n lib%{name}
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n lib%{name}64
Group:         System/Libraries
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version (64 bit interface)

%description -n lib%{name}64
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version (64 bit interface).
This package contains shared libraries for %{name}.

%package -n lib%{name}64-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name}64 = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}64-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n OpenBLAS-%{version}

%build
%cmake -d build \
    -DBUILD_SHARED_LIBS=ON \
    -DBUILD_TESTING=OFF \
    -DNO_AFFINITY=ON \
    -DUSE_OPENMP=1 \
    -DNO_WARMUP=1 \
%ifarch %{ix86} x86_64
    -DTARGET=CORE2 \
%endif
%ifarch aarch64
    -DTARGET=ARMV8 \
%endif
    -DNUM_THREADS=64 \
    -DDYNAMIC_ARCH=ON

%make

cd ..

%ifarch x86_64 aarch64
%cmake -d build64 \
    -DBUILD_SHARED_LIBS=ON \
    -DBUILD_TESTING=OFF \
    -DNO_AFFINITY=ON \
    -DUSE_OPENMP=1 \
    -DNO_WARMUP=1 \
%ifarch %{ix86} x86_64
    -DTARGET=CORE2 \
%endif
%ifarch aarch64
    -DTARGET=ARMV8 \
%endif
    -DNUM_THREADS=64 \
    -DDYNAMIC_ARCH=ON \
    -DINTERFACE64=1

%make

%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build
%ifarch x86_64 aarch64
%makeinstall -C build64
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenblas.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openblas
%{_includedir}/openblas/*.h
%{_libdir}/libopenblas.so
%{_libdir}/pkgconfig/openblas.pc
%dir %{_libdir}/cmake/OpenBLAS
%{_libdir}/cmake/OpenBLAS/OpenBLAS*.cmake
%doc README.md

%ifarch aarch64 x86_64
%files -n lib%{name}64
%defattr(-,root,root)
%{_libdir}/libopenblas_64.so.*
%doc LICENSE

%files -n lib%{name}64-devel
%defattr(-,root,root)
%dir %{_includedir}/openblas64
%{_includedir}/openblas64/*.h
%{_libdir}/libopenblas_64.so
%{_libdir}/pkgconfig/openblas64.pc
%dir %{_libdir}/cmake/OpenBLAS64
%{_libdir}/cmake/OpenBLAS64/OpenBLAS*.cmake
%doc README.md
%endif

%changelog
* Mon Jan 13 2025 Automatic Build System <autodist@openmamba.org> 0.3.29-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.28-2mamba
- rebuilt with 64 bit interface library and DYNAMIC_ARCH to fix sigill crash seen with digikam

* Fri Aug 09 2024 Automatic Build System <autodist@openmamba.org> 0.3.28-1mamba
- automatic version update by autodist

* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 0.3.27-1mamba
- automatic version update by autodist

* Wed Jan 03 2024 Automatic Build System <autodist@mambasoft.it> 0.3.26-1mamba
- automatic version update by autodist

* Mon Nov 13 2023 Automatic Build System <autodist@mambasoft.it> 0.3.25-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 0.3.24-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 0.3.23-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 0.3.22-1mamba
- automatic version update by autodist

* Mon Aug 08 2022 Automatic Build System <autodist@mambasoft.it> 0.3.21-1mamba
- automatic version update by autodist

* Mon Feb 21 2022 Automatic Build System <autodist@mambasoft.it> 0.3.20-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.19-1mamba
- automatic version update by autodist

* Sun Oct 03 2021 Automatic Build System <autodist@mambasoft.it> 0.3.18-1mamba
- automatic version update by autodist

* Fri Jul 16 2021 Automatic Build System <autodist@mambasoft.it> 0.3.17-1mamba
- automatic version update by autodist

* Tue Jul 13 2021 Automatic Build System <autodist@mambasoft.it> 0.3.16-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 0.3.15-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.14-1mamba
- automatic version update by autodist

* Wed Dec 16 2020 Automatic Build System <autodist@mambasoft.it> 0.3.13-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Mon Mar 09 2020 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-1mamba
- package created using the webbuild interface
